# Record Class CJ1MetadataValueMatchMonetaryWithCurrency

java.lang.Object
java.lang.Record
com.io7m.cardant.protocol.inventory.json.internal.CJ1MetadataValueMatchMonetaryWithCurrency

All Implemented Interfaces:
  `CJ1MetadataValueMatchMonetaryType, CJ1MetadataValueMatchType, CJ1ValueType`

@JsonClassDescription("Match monetary metadata values with the given currency.") public record CJ1MetadataValueMatchMonetaryWithCurrency(org.joda.money.CurrencyUnit currency) extends Record implements CJ1MetadataValueMatchMonetaryType

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CJ1MetadataValueMatchMonetaryWithCurrency(org.joda.money.CurrencyUnit currency)`
  Creates an instance of a `CJ1MetadataValueMatchMonetaryWithCurrency` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.joda.money.CurrencyUnit`
  `currency()`
  Returns the value of the `currency` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CJ1MetadataValueMatchMonetaryWithCurrency

    public CJ1MetadataValueMatchMonetaryWithCurrency(@JsonPropertyDescription("The currency unit.") org.joda.money.CurrencyUnit currency)
    Creates an instance of a `CJ1MetadataValueMatchMonetaryWithCurrency` record class.
    Parameters:
      `currency` - the value for the `currency` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### currency

    @JsonPropertyDescription("The currency unit.") public org.joda.money.CurrencyUnit currency()
    Returns the value of the `currency` record component.
    Returns:
      the value of the `currency` record component